* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}



#wrapper {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 0.3fr 0.5fr 1fr 1fr;
  grid-gap: 5px;
  grid-template-areas:
    "h"
    "a"
    "s"
    "b"
    "c";
    width: 100%;
}



body {
  margin: 0;
  font-family: "Open Sans", sans-serif;
  background: linear-gradient(#f2e3d5, #f1bf91);
}


#bild1, #bild2{
display: none;
}



#myTopnav{
  position: sticky;
  top: 0;
  z-index: 1;
  }


.active {
  color: white;
  font-size: large;
  font-weight: bold;
  text-align: center;
  padding-left: 0px;
  width: 150px;
}


header{
  grid-area: h;
  text-align: center;
  margin: auto;
}

section {
  padding: 20px;
  text-align: center;
}

p {
  padding: 10px;
}

img {
padding-left: 100px;
padding-right: 100px;
}

#mobilitetshus {
  grid-area: a;
}

#varfor {
  grid-area: b;
}

#innehall {
  grid-area: c;
}

#slideshow{
  grid-area: s;
}
#b1 {
  grid-area: i;
}


#b2{
  grid-area: o;
}





/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
  display: none;
}

.active {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 769px) {
  
    .topnav a:not(:first-child) {
      display: none;
    }
    .topnav a.icon {
      float: right;
      display: block;
    }
    
    .topnav.responsive {
      position: relative;
    }
    .topnav.responsive .icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
    .topnav {
      overflow: hidden;
      background-color: black;
    }
    
    .topnav a {
      float: left;
      display: block;
      color: #f2f2f2;
      text-align: center;
      padding: 14px 16px;
      text-decoration: none;
      font-size: small;
    }
    
    .topnav a:hover {
      background-color: #ddd;
      color: black;
    }
    
    .topnav a.active {
      background-color: black;
      color: white;
      text-align: center;
    }
    
    .topnav .icon {
      display: none;
    }
    
  }



@media only screen and (min-width: 600px) {
  #wrapper {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 0.4fr 0.5fr 1fr 1fr;
    grid-gap: 5px;
    grid-template-areas:
    
      "h h"
      "a s"
      "i b"
      "c o" ;
  }

  section{
    margin:auto;
  }

  #bild1, #bild2{
    display: block;
    height: auto;
    width: 100%;
    }

    #b1, #b2{
      display: flex;
      align-items: center;
    }

    img {
      padding-left: 50px;
      padding-right: 50px;
      }

 }

@media only screen and (min-width: 769px) {
  #wrapper {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 0.4fr 0.5fr 1fr;
    grid-gap: 5px;

    grid-template-areas:
      "h h h"
      "a b c"
      "s i o";
  }
  section{
    margin: unset;
  }

#slideshow{
  height: auto;
  width: 100%;
}

#bild1, #bild2{
  height: auto;
  width: 100%;
  }

  img {
    padding-left: 100px;
    padding-right: 100px;
    }

  .topnav {
    overflow: hidden;
    background-color: black;
  }
  
  .topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: small;
  }
  
  .topnav a:hover {
    background-color: #ddd;
    color: black;
  }
  
  .topnav a.active {
    background-color: black;
    color: white;
    text-align: center;
  }
  
  .topnav .icon {
    display: none;
  }
}






